emacs26会不会太旧了呢?

我是今天刚学emacs的萌新,Debian10上默认的emacs版本是26.1,但是好多玩家都用的Arch,自带的emacs更新,不了解emacs各版本的差别,不知道27之后的比26会不会差别很大呀?

可以启用sid源使用Emacs 27

https://mirrors.tuna.tsinghua.edu.cn/help/debian/

最好 27 往上,26 有点旧了,反而容易遇到问题。

引用 Watch more episodes on Emacsrocks.com.

Emacs 27.1

Released Aug 10, 2020

Emacs 27.1 has a wide variety of new features, including:

  • Built-in support for arbitrary-size integers
  • Text shaping with HarfBuzz
  • Native support for JSON parsing
  • Better support for Cairo drawing
  • Portable dumping used instead of unexec
  • Support for XDG conventions for init files
  • Additional early-init initialization file
  • Built-in support for tab bar and tab-line
  • Support for resizing and rotating of images without ImageMagick

Emacs 26.3

Released Aug 28, 2019

Emacs 26.3 is a maintenance release.

  • New GPG key for GNU ELPA package signature checking.

Emacs 26.2

Released Apr 12, 2019

Emacs 26.2 has a wide variety of new features, including:

  • Emacs modules can now be built outside of the Emacs tree source.
  • Emacs is now compliant with the latest version 11.0 of the Unicode Standard.
  • In Dired, the ‘Z’ command on a directory name compresses all of its files.

Emacs 26.1

Released May 28, 2018

Emacs 26.1 has a wide variety of new features, including:

  • Limited form of concurrency with Lisp threads
  • Support for optional display of line numbers in the buffer
  • Emacs now uses double buffering to reduce flicker on the X Window System
  • Flymake has been completely redesigned
  • TRAMP has a new connection method for Google Drive
  • New single-line horizontal scrolling mode
  • A systemd user unit file is provided
  • Support for 24-bit colors on capable text terminals

sid不会不稳定吗??听说sid不对依赖做出保证

sid比Arch要慢,而且那么多人用Arch,你也不是服务器用机器,怕什么

如果要开sid的话,我还是用arch吧,arch的软件多点

不过就是arch虽然初始占用空间很小,但是可能是由于打包粒度更粗,arch体积膨胀很快,装得东西多得时候就占空间很大(相对于debian)

用新不用旧,上27.1 吧。

确实,Debian我不知道,但是Arch比如安装个gtk,它甚至会把gtk demo之类完全无用的东西的全都装上。。。。

虽说27.1和26.3差别尚不算大,

但现在入坑的话,就用27.x或28.x吧,给未来留一点余量。

emacs 27 默认支持 Dynamic Modules,比如要使用emacs-rime的时候就要用的。
Emacs 28 对我来说,主要是为了这个word-wrap-by-category 折行的功能。

建议用 27.1 正式版,不折腾。爱折腾的话,就直接用28吧。

不需要 Sid,Backports 里面就有 Emacs 27。

https://packages.debian.org/search?keywords=emacs&searchon=names&section=all&suite=buster-backports

1赞